#-------data read and transformation-------
temp<-read.csv("Rdata.csv",header=TRUE)
str(temp)
names(temp)<-c("obs","country","BW","BMR","cons","slope","PAL","TEE","FA","FW","pcGDP","pcAICE","pop")
temp[11:13]<-lapply(temp[11:13],as.numeric)
temp$lnAICE<-log(temp[,12])
ls()
is.data.frame(temp)

BW<-temp$BW
FW<-temp$FW
AICE<-temp$pcAICE
lnAICE<-temp$lnAICE
#-----------------------

#---------plot FW and AICE-----------------
plot(AICE,FW,main="Per capita FW and AIC_Scatterplot",xlab="AIC/capita (2005 international USD)",xlim=c(0,40000),ylab="Foodwaste (in KCal/cap/day)",ylim=c(-1500,2000),col.axis=1,col.lab=1,col.main=1,col.sub=1,cex=1.5,cex.lab=1.5,cex.main=1.5,col=2,axes=F)
axis(1,pos=0,cex.axis=1.5)
axis(2,pos=0,cex.axis=1.5)
lines(lowess(AICE,FW),lty=2)
#---------------------------------

#----------FW~~lnAICE------------------------
lmod<-lm(FW~lnAICE)
coef(lmod)
FWpred<-predict(lmod)
#------------------------------------------

#---------Kernel density plot FW~~lnAICE residuals-----------------
FWresid<-FW-FWpred
d<-density(FWresid, bw = "sj")
plot(d,col="blue",main="Residuals_Kernel Density Plot",cex.lab=1.5,cex.main=1.5)
#---------------------------------


q()
